---
- name: Sanity check
  assert:
    that: 
      - ansible_board_vendor == 'GPD'
      - ansible_board_name == 'MicroPC'
    msg: >-
      This role only supports GPD MicroPC board.

- name: LightDM SeatDefaults section
  lineinfile:
    path: /etc/lightdm/lightdm.conf
    line: "[SeatDefaults]"
    insertafter: EOF
  notify: Restart lightdm service

- name: LightDM SeatDefaults section
  lineinfile:
    path: /etc/lightdm/lightdm.conf
    regex: >-
      ^.*greeter-setup-script=.*$
    line: >-
      greeter-setup-script=/usr/bin/xrandr -o right
    insertafter: >-
      \[SeatDefaults\]
  notify: Restart lightdm service

- meta: flush_handlers
